package de.frajul.endlessroll.entities.particles;

import de.frajul.endlessroll.entities.particles.attributes.attributeValues.Range;
import de.frajul.endlessroll.entities.particles.attributes.attributeValues.Timeline;
import de.frajul.endlessroll.entities.particles.attributes.attributeValues.TimelineRange;
import de.frajul.endlessroll.entities.particles.attributes.attributeValues.TintTimeline;

/**
 * Created by Julian on 03.08.2016.
 */
public class ParticleData {

    private Range life;
    private TimelineRange scaleTR;
    private TimelineRange velocityTR;
    private TimelineRange angleTR;
    private TimelineRange rotationTR;
    private Timeline transparencyT;
    private TintTimeline tint;
    private TimelineRange windTR;
    private TimelineRange gravityTR;

    public ParticleData(Range life, TimelineRange scaleTR, TimelineRange velocityTR, TimelineRange angleTR, TimelineRange rotationTR, Timeline transparencyT, TintTimeline tint, TimelineRange windTR, TimelineRange gravityTR) {
        this.life = life;
        this.scaleTR = scaleTR;
        this.velocityTR = velocityTR;
        this.angleTR = angleTR;
        this.rotationTR = rotationTR;
        this.transparencyT = transparencyT;
        this.tint = tint;
        this.windTR = windTR;
        this.gravityTR = gravityTR;
    }

    public Range getLife() {
        return life;
    }

    public TimelineRange getScaleTR() {
        return scaleTR;
    }

    public TimelineRange getVelocityTR() {
        return velocityTR;
    }

    public TimelineRange getAngleTR() {
        return angleTR;
    }

    public TimelineRange getRotationTR() {
        return rotationTR;
    }

    public Timeline getTransparencyT() {
        return transparencyT;
    }

    public TintTimeline getTint() {
        return tint;
    }

    public TimelineRange getWindTR() {
        return windTR;
    }

    public TimelineRange getGravityTR() {
        return gravityTR;
    }
}
